gtk4 (4.22.2+ds-1ubuntu1) resolute; urgency=medium

  * d/p: Fix possible crash when terminating app with no windows
  * d/p: Fix FTBFS on 32-bit architectures
  * d/p: Temporarily revert change that causes test failures in r-deps
    (Closes: #1132536)
  * d/p: Fix crash with GTK_A11Y=none as detected by autopkgtests
  * debian: Branch for ubuntu/latest

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 03 Apr 2026 10:45:26 +0200

gtk4 (4.22.2+ds-1) unstable; urgency=medium

  * New upstream bugfix release
  * d/p/print-*: Drop patches applied upstream
  * d/p: Refresh patches.
    Then latest git-buildpackag has changed the git options for generating a diff,
    so some patches result in changes even though the applied sources are unchanged
  * d/p: Backport fix for large regression in accessibility

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 01 Apr 2026 10:34:05 +0200

gtk4 (4.22.1+ds-3) unstable; urgency=medium

  * d/rules, d/control: Drop CPDB backend
    (LP: #2145712, #2113980, #2133194, #2143625, #2126551, #2130566)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 24 Mar 2026 17:20:22 +0100

gtk4 (4.22.1+ds-2) unstable; urgency=medium

  * d/p: Fix listing printers with cpdb

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Mar 2026 17:57:32 +0100

gtk4 (4.22.1+ds-1) unstable; urgency=medium

  * Team upload

  [ Alessandro Astone ]
  * New upstream release
  * d/p: Drop patch applied upstream
  * d/p: Rebase patches
  * d/p/x11-touch: Fix touchscreen input on Xorg
    (LP: #2051886, #2119066, #2119065, #2125309)
  * d/p: Fix crash from the print dialog
  * d/p: Fix resource leak of cpdb printing
  * d/p/w: Drop unnecessary testsuite workaround
  * d/libgtk-4-1.symbols: Update symbols from 4.22.0

  [ Jeremy Bícha ]
  * debian/libgtk-4-1.bug-control: Add libgtk-nocsd0 to package status list

  [ Simon McVittie ]
  * d/copyright: Most icons are now CC0-1.0
  * Add patch to fix udeb build
  * d/source/lintian-overrides: Remove an unused override

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Mar 2026 17:14:28 +0000

gtk4 (4.21.6+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p: Drop patches applied upstream
  * d/p: Rebase patches
  * d/symbols: Update symbols from 4.21.6
  * d/rules: Disable media plugin in udeb
  * d/control: Drop stale references to media package
  * d/control, d/patches: Link against system gstplay
  * d/control, d/tests: Enable vulkan testing on s390x
  * d/run-tests.sh, d/tests: Disable powervr Vulkan driver
  * d/p/x11-scale: Fix graphical artifacts after changing display scale in Xorg
    (LP: #1924689)
  * d/p: Fix testsuite when the headless display has no seat
  * d/tests: Run weston with --fake-seat if available

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Mar 2026 15:25:19 +0100

gtk4 (4.21.5+ds-5) unstable; urgency=medium

  * Add epoch to Breaks: gnome-control-center
  * gtk4-examples: Add Recommends: highlight for source code syntax highlighting

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 17:55:19 -0500

gtk4 (4.21.5+ds-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 13:46:58 -0500

gtk4 (4.21.5+ds-3) experimental; urgency=medium

  * d/p: Add missing test files required by autopkgtests

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Feb 2026 13:15:24 -0500

gtk4 (4.21.5+ds-2) experimental; urgency=medium

  * d/rules: Skip svg testsuite
  * d/p: Backport patch for FTBFS on 32-bit architectures
  * d/p: Add proposed patch to fix GskPathBuilder on 32-bit architectures

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Feb 2026 11:16:58 +0100

gtk4 (4.21.5+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Enable sysprof support on all Linux architectures
  * d/p/gtkcssnumbervalue-Don-t-use-fesetround-on-ARM-softfloat.patch:
    Remove a patch that was only needed for armel, since Debian doesn't
    support armel in unstable or forky
  * Bump Standards Version to 4.7.3

  [ Alessandro Astone ]
  * New upstream release
  * d/p: Drop patches applied upstream
  * d/p: Rebase patches
  * d/p/workarounds: Skip vulkan tests that break lavapipe
  * d/gtk-4-examples.install: List files from GTK icon editor app
  * d/libgtk-4-1.symbols.in: Add new symbols from 4.21.x
  * d/control: Breaks xdg-desktop-portal-gnome
  * d/control: Breaks gnome-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Feb 2026 09:37:39 +0100

gtk4 (4.20.3+ds-3) unstable; urgency=medium

  * libgtk-4-1: Add Recommends: ibus-gtk4 (Closes: #1115532)
  * Require librsvg >= 2.48 on all architectures
  * Remove unnecessary Priority: optional field
  * Remove unnecessary dh_gnome_clean override
  * Add dh_gnome override to avoid build log warnings

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Dec 2025 10:55:46 -0500

gtk4 (4.20.3+ds-2) unstable; urgency=medium

  * Cherry-pick 2 patches to fix 32-bit issues

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Nov 2025 09:46:28 -0500

gtk4 (4.20.3+ds-1) unstable; urgency=medium

  * New upstream release
  * missing-sources: Update emojibase
  * missing-sources: Update emoji files to 17.0
  * Remove sparc64 patch: applied in new release
  * Remove references to armel & mips since they aren't Debian architectures
    any more

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Nov 2025 11:29:22 -0500

gtk4 (4.20.2+ds-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Set DRAW_USE_LLVM=0 for softpipe architectures (Closes: #1118961)
  * Remove loong64 from the list of slow qemu architectures (Closes: #1118962)

  [ Jeremy Bícha ]
  * Cherry-pick patch to fix some test failures on sparc64 (Closes: #1118780)
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 12:40:34 -0400

gtk4 (4.20.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Remove 2 patches applied in new release
  * debian/watch: Only watch for stable releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 21:51:42 -0400

gtk4 (4.20.1+ds-2) unstable; urgency=medium

  * Cherry-pick 2 bug fixes, one for the cursor in gnome-calculator
    and one for mobile phone cameras
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:03:46 -0400

gtk4 (4.20.1+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum wayland-protocols

  [ Simon McVittie ]
  * Merge packaging from unstable
    - d/control: Remove Rules-Requires-Root, no longer necessary since
      trixie
    - d/control, d/gbp.conf: revert changes for this branch
    - d/patches: revert changes for this branch, the patch for #1114144
      was included in 4.19.4 already

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 11:40:55 -0400

gtk4 (4.20.0+ds-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Aug 2025 14:17:50 -0400

gtk4 (4.19.4+ds-1) experimental; urgency=medium

  * New upstream release
  * d/p/insttests: Rebase and temporarily drop tool tests, needs rework
  * d/p/workarounds: Drop softpipe patch, it doesn't apply and should be obsolete
  * d/p/gstplay{,er}: Rework for porting from gst-player to gst-play
  * d/p: Rebase all other patches
  * d/control, d/install: Adapt to modules being statically linked in libgtk
  * d/install: Add new bash completions
  * d/libgtk-4-1.symbols: Add new symbols
  * d/p/d: Drop GSK renderer patch, use Vulkan by default like upstream
  * d/p/workarounds: Skip failing nodeparser tests on s390x
  * d/control: Bump minimum libwayland version

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 19 Aug 2025 14:40:07 +0200

gtk4 (4.18.6+ds-3) unstable; urgency=medium

  * d/control, d/gbp.conf: Branch for testing/unstable.
    GTK 4.20.x is in experimental and the debian/latest branch, but we
    aren't ready to land that in unstable until rust-gtk4 migrates
    (see gnome-team/meta-gnome#1).
  * d/p/Fix-a-test-failure.patch:
    Backport patch from 4.19.0 to fix a test failure with gcc 15
    (Closes: #1114144)
  * d/control: Remove Rules-Requires-Root, no longer necessary since trixie

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Sep 2025 19:07:21 +0100

gtk4 (4.18.6+ds-2) unstable; urgency=medium

  * Add packaging changes to previous changelog entry that were
    accidentally left undocumented in the previous upload

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Jun 2025 10:37:29 +0100

gtk4 (4.18.6+ds-1) unstable; urgency=medium

  * New upstream bugfix release
    - In the cups printer driver, fix NULL-termination on arrays of choices,
      avoiding a possible crash
      (gtk!8595 upstream)
    - Fix a crash caused by using uninitialized memory in GtkCssKeyframes
      (gtk!8656 upstream)
    - Fix a memory leak in GtkCssValue
      (gtk!8629 upstream)
    - Avoid a warning when gtk_application_inhibit() is called with
      GTK_APPLICATION_INHIBIT_IDLE and no window
      (gtk!8638 upstream)
    - Fix names of Activate, Deactivate window events to match AT-SPI spec
      (gtk!8652 upstream)
    - Render symbolic SVG icons more correctly by improving the parser
      for the path mini-language, and improve related test coverage
      (gtk#7575, gtk!8548, gtk!8549, gtk!8642 upstream)
    - Under Wayland, delay destruction of the event queue until after
      everything has been detached from it
      (gtk!8481 upstream)
    - Simplify gdk_memory_texture_builder_set_color_state() by not handling
      a NULL state that was already checked for
      (gtk!8582 upstream)
    - Improve the "inspector" debugging tool:
      + show more environment variables
      + show the text protocol
      + centre-align accessibility errors
      + report an error if buttons are too small
      + make warnings not wrap too much
      + remove incorrect early-returns
    - Improve examples:
      + In gtkgears fix lighting
      + In gtk-demo, add missing accessibility properties
      + In gtk-demo, fix a regression in the ucd demo
      + In node-editor, make the help non-editable
    - Documentation updates
    - Translation updates: ca, de, fi, he, sk
    - Upstream CI changes not relevant to Debian
    - macOS-specific changes not relevant to Debian
    - Minor updates in vendored pango subproject, not relevant to Debian
      (we use libpango1.0-dev instead)
  * d/libgtk-4-1.bug-control: Add known out-of-tree IM modules to
    Package-Status.
    There are considerably fewer of these than GTK 3 modules, because
    GTK 4 does not support arbitrary GTK_MODULES, but they could still be
    involved in crashes; so it seems wise to diagnose them as "packages
    libgtk-4-1 is related to" in bug reports.
  * d/libgtk-4-doc.links: Remove unused, dangling symlinks to GLib docs

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Jun 2025 14:06:01 +0100

gtk4 (4.18.5+ds-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - Drop patches that were cherry-picked from upstream, no longer needed

  [ Simon McVittie ]
  * d/rules: Make blhc happy
    - Pass appropriate compiler flags to build-architecture gcc, when
      building a tool used during build
    - Consistently apply -Wl,-z,now to everything
  * Fix d/copyright issues reported by Lintian:
    - Point to GNU by web address rather than postal address
    - Improve cross-references to LGPL in common-licenses
    - Remove details of stb_rect_pack.
      This was part of the old GL renderer, and was removed when the old GL
      renderer was fully superseded by ngl.
  * Update lintian overrides for executables not affected by glibc hardening
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 04 May 2025 15:39:45 +0100

gtk4 (4.18.4+ds-2) unstable; urgency=medium

  * Cherry-pick commits from gtk-4-18 branch up to April 15
  * Only watch for 4.18.x updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 10:45:54 -0400

gtk4 (4.18.4+ds-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106391)
    - Fix cursor icons getting stuck on incorrect versions (LP: #2106299)
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Apr 2025 14:33:36 +0200

gtk4 (4.18.3+ds-1) unstable; urgency=medium

  * New upstream release (LP: #2105406)
  * debian/libgtk-4-common.install: Install new Inspector gsettings schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Mar 2025 18:07:09 -0400

gtk4 (4.18.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Delete 3 patches included in new release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 18 Mar 2025 17:11:16 +0100

gtk4 (4.17.5+ds-3) unstable; urgency=medium

  * Don't use mesa-vulkan-drivers for tests on s390x
  * Backport patches to fix flakiness when rendering with FP pixel formats.
    This allows us to drop the workarounds to ignore test failures when using
    floating-point pixel formats. It also fixes artifacts in gtk4 applications
    visible mostly when using the asahi driver.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Feb 2025 15:50:53 -0500

gtk4 (4.17.5+ds-2) unstable; urgency=medium

  * Add patch to fix color precision FTBFS issue on some architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Feb 2025 16:13:46 -0500

gtk4 (4.17.5+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1098624)
    - Fix numeric mode in spin buttons (LP: #2060164)
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Bump minimum wayland and wayland-protocols
  * Remove font patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 22:47:12 -0500

gtk4 (4.17.4+ds-4) unstable; urgency=medium

  * Don't use mesa-vulkan-drivers for tests on ppc64el

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 13 Feb 2025 10:56:56 -0500

gtk4 (4.17.4+ds-3) unstable; urgency=medium

  * Update autopkgtest patch with version applied upstream
  * Release to unstable (Closes: #1094845, #1083055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 11:11:10 -0500

gtk4 (4.17.4+ds-2) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Don't use mesa-vulkan-drivers for tests on armel, armhf & mips64el
    (Mitigates: #1094844)

  [ Alessandro Astone ]
  * Add proposed patch to fix an autopkgtest error (Closes: #1094843)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 09:18:46 -0500

gtk4 (4.17.4+ds-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum cairo
  * Bump minimum libpng to 1.6.45
  * Remove libpng patch: applied in new release
  * debian/libgtk-4-1.symbols.in: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 10:10:15 -0500

gtk4 (4.17.3+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib, harfbuzz, and pango
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Remove obsolete Breaks/Replaces
  * Remove test validation patch: applied in new release

  [ Alessandro Astone ]
  * Add proposed patch to fix compatibility with libpng-1.6.45
    (Closes: #1093335)
  * debian: Allow using vulkan in tests
  * Update memorytexture tests patch for 4.17, and include more cases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 15:30:23 -0500

gtk4 (4.17.1+ds-2) experimental; urgency=medium

  * Fix typo in Breaks field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 18:16:08 -0500

gtk4 (4.17.1+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - The Icon Browser is no longer provided
  * GTK no longer allows displays to be created before GDK has been initialized.
    Add Breaks for apps that were known to be broken by this change.
    See gtk !7836
  * missing-sources: Update emojibase
  * missing-sources: Copy emoji 16.0 files from Debian's unicode-data package
  * Bump minimum meson to 1.2.0
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Refresh patches
  * Add a revert patch for our gstplayer subproject
  * Add another revert patch to keep installed tests working

  [ Samuel Thibault ]
  * d/libgtk-4-1.symbols.in: Mark more Vulkan symbols as Linux-only
    (Closes: #1088749)

  [ Simon McVittie ]
  * d/rules: Make it more obvious that we're intentionally using gcc
    from the build architecture to build debian/convert-emoji
  * d/upstream/metadata: Canonicalize order
  * d/upstream/metadata: Update links to Changelog, FAQ
  * d/upstream/metadata: Add links to Documentation, Security-Contact

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 17:07:39 -0500

gtk4 (4.16.12+ds-3) unstable; urgency=medium

  * Bump minimum libpng to 1.6.45 (Closes: #1093335)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Jan 2025 11:01:18 -0500

tk4 (4.16.12+ds-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add proposed patch to fix compatibility with libpng-1.6.45
    (Closes: #1093335)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 20:59:51 -0500

gtk4 (4.16.12+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * d/patches: Refresh patch series (no functional changes)
  * d/patches: Update to upstream gtk-4-16 branch commit
    4.16.12-4-g0631748538
    - Fix FTBFS caused by a unit test failure
    - Translation updates: ru
  * d/rules: Make it more obvious that we're intentionally using gcc
    from the build architecture to build debian/convert-emoji
  * d/upstream/metadata: Canonicalize order
  * d/upstream/metadata: Update links to Changelog, FAQ
  * d/upstream/metadata: Add links to Documentation, Security-Contact

  [ Samuel Thibault ]
  * d/libgtk-4-1.symbols.in: Mark more Vulkan symbols as Linux-only
    (Closes: #1088749)

  [ Jeremy Bícha ]
  * d/gbp.conf: Use debian/trixie branch for 4.16.x
  * Unicode emoji updates corresponding to the new upstream release:
    - d/missing-sources: Update emojibase to commit 04b7926
    - d/missing-sources: Update Unicode data to 16.0

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Jan 2025 17:37:42 +0000

gtk4 (4.16.7+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 18:37:54 -0500

gtk4 (4.16.5+ds-2) unstable; urgency=medium

  * d/watch: Only watch for stable (4.even.x) releases
  * d/gbp.conf: Use upstream/4.16.x branch.
    4.17.0 has been released, but it's a development release and not
    suitable for testing/unstable yet.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Nov 2024 21:24:58 +0000

gtk4 (4.16.5+ds-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/p/printing-If-we-cannot-contact-Avahi-debug-log-the-error-m.patch,
    d/p/printing-Treat-any-G_DBUS_ERROR-contacting-Avahi-as-non-p.patch:
    Drop patches that were applied upstream
  * d/tests/run-with-display: Send xvfb-run output to stderr
    (helps: #1082659, #1084230)

  [ Jeremy Bícha ]
  * Quote cpdb dependency to fix Ubuntu build

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 12:25:51 +0000

gtk4 (4.16.3+ds-2) unstable; urgency=high

  [ Simon McVittie ]
  * Re-enable the older CUPS print backend and disable CPDB, except
    on Ubuntu.
    CPDB is not yet available in Debian in a useful form: the CPDB backend
    requires cups-filters 2.x, which conflicts with the 1.x version
    of cups-filters that is currently used by the CUPS daemon. There
    is conflicting information in #1079457 about the extent to which
    cups-filters 2.x is or is not suitable for use with CUPS v2 in trixie.
    Continue to build-depend on CPDB, so that we can continue to
    build that backend on Ubuntu, on the assumption that the Canonical
    developers who made that change know what's considered to be right
    for Ubuntu.
    (Mitigates: #1079457, #1084195) (Closes: #1084916)
  * d/p/printing-If-we-cannot-contact-Avahi-debug-log-the-error-m.patch,
    d/p/printing-Treat-any-G_DBUS_ERROR-contacting-Avahi-as-non-p.patch:
    Add proposed patches to fix autopkgtest failure with cups print backend

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 08:45:22 -0400

gtk4 (4.16.3+ds-1) unstable; urgency=medium

  * New upstream release (LP: #2083714)
  * Revert "Fix cursor sizes under Plasma/Wayland when using (fractional) scaling"
    The backported patches caused cursor size regressions with scaling on GNOME.
    (Closes: #1083055) (Reopens: #1083115)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 15:27:50 -0400

gtk4 (4.16.2+ds-4) unstable; urgency=high

  [ Michael Biebl ]
  * Fix cursor sizes under Plasma/Wayland when using scaling
    (Closes: #1083055) (LP: #2083274)

  [ Jeremy Bícha ]
  * Bump urgency to high since this includes multiple 4.16 regression fixes
    (Closes: #1083019)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Sep 2024 15:16:37 -0400

gtk4 (4.16.2+ds-3) unstable; urgency=medium

  * Release to unstable (Mitigates: #1081962)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 29 Sep 2024 10:25:23 -0400

gtk4 (4.16.2+ds-2) experimental; urgency=medium

  [ Alessandro Astone ]
  * d/patches: Change default renderer back to ngl (LP: #2082017)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Sep 2024 17:42:30 +0200

gtk4 (4.16.2+ds-1) unstable; urgency=high

  * New upstream release
  * Remove patch applied in new release
  * Bump urgency to high since this includes 4.16 regression fixes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Sep 2024 09:59:19 -0400

gtk4 (4.16.1+ds-5) unstable; urgency=medium

  * d/*.lintian-overrides, d/source/lintian-overrides:
    Silence some false positives

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Sep 2024 15:41:26 +0100

gtk4 (4.16.1+ds-4) unstable; urgency=medium

  * d/p/wayland-Don-t-call-gdk_display_sync.patch:
    Add patch from upstream to fix crashes under kwin-wayland
    (Closes: #1081957)
  * d/p/gdk-Check-some-assertions-on-our-architectures.patch:
    Drop a patch that only added static assertions.
    These are now checked in gdk/gdkcolorprivate.h.
  * d/p/workarounds/testsuite-tools-validate-Use-softpipe-driver-for-validate.patch:
    Work around additional messages on stderr from llvmpipe now that Mesa
    is using LLVM 19
  * d/p/insttests:
    Split restoration of installed-tests into a topic directory
  * d/p/gstplayer:
    Split vendoring of gstplayer into a topic subdirectory
  * d/p/workarounds:
    Move all workarounds into a topic subdirectory
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Sep 2024 13:48:17 +0100

gtk4 (4.16.1+ds-3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * Revert "d/rules: Use softpipe to run tests on riscv64".
    llvmpipe should work now that #1080475 has been fixed in
    llvm-toolchain-18. (Closes: #1081678)

  [ Simon McVittie ]
  * d/rules: Be more selective about disabling tests that fail with
    softpipe.
    If they succeed with llvmpipe, then we should be able to enable them
    on most architectures now.
  * d/rules: Mention status of llvmpipe on mips*, powerpc, sparc*.
    As of 2024-09-16, we still need to disable use of llvmpipe by forcing
    use of softpipe on these architectures, otherwise many tests crash.
  * Upload to experimental to avoid disrupting testing migration of 4.16.1
    if this doesn't work on buildds.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2024 13:40:42 +0100

gtk4 (4.16.1+ds-2) unstable; urgency=medium

  * Release to unstable (Closes: #1079548)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 15 Sep 2024 17:11:16 -0400

gtk4 (4.16.1+ds-1) experimental; urgency=medium

  * New upstream release
    - d/patches: Drop patches that were applied upstream
  * d/run-tests.sh: Ensure temporary XDG_RUNTIME_DIR is mode 0700.
    This avoids warnings from e.g. weston.
  * Upload to experimental to check that this is buildable on all release
    architectures. If all goes well, the next upload can be to unstable.

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Sep 2024 16:07:02 +0100

gtk4 (4.16.0+ds-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/Revert-css-Simplify-theme-loading.patch:
    Add a regression fix from upstream
  * d/p/gdkgltexture-Avoid-use-after-free-when-switching-GdkGLCon.patch:
    Add patch to fix a use-after-free when using softpipe
  * d/rules: Ignore label-shadows reftest failure whenever we are using
    softpipe.
    Temporarily switching from llvmpipe to softpipe on an architecture
    where this previously worked (armel) causes this reftest to fail,
    which seems like evidence that the different result is a softpipe
    rendering difference.
  * d/p/testsuite-If-validation-result-is-not-as-expected-log-the.patch:
    Add proposed patch to improve diagnostics if the validate test fails
  * d/p/workarounds/scaling-test-Skip-floating-point-pixel-formats-with-Cairo.patch:
    Add a proposed patch to skip test-cases that have intermittent failures
  * d/p/workarounds/tests-Skip-floating-point-texture-scaling-tests-on-softpi.patch:
    Add a workaround for test failures on architectures that use softpipe
  * d/p/workarounds/memorytexture-test-Ignore-failures-with-FP-softpipe-ngl-o.patch:
    Add a patch to work around floating point textures not working on mips64el
    (Mitigates: #1081275)
  * d/p/debian/reftests-Allow-minor-differences-to-be-tolerated.patch:
    Fix a compiler warning

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 10:15:12 -0400

gtk4 (4.16.0+ds-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/rules: Use softpipe to run tests on riscv*, similar to mips*,
    powerpc and sparc*.
    The ORCJIT implementation of llvmpipe used on these architectures
    does not seem to be ready yet, and now that Mesa 24.2.1-4 has
    re-enabled softpipe (#1080475) we can use it to avoid llvmpipe issues.
    (Mitigates: #1080435)
  * d/copyright: Update
  * Refresh patch series

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 09:59:45 -0400

gtk4 (4.15.6+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Remove memorytexture patch: test should pass now on big-endian
    (Closes: #1077757)

  [ Simon McVittie ]
  * New upstream development release
  * d/copyright: Update
  * d/patches: Update patch series
  * d/p/gtkcssvariableset-Fix-listing-IDs-on-big-endian-machines.patch,
    d/p/gtkcssprovider-Fix-sorting-of-custom-property-IDs-on-64-b.patch:
    Fix crashes on 64-bit big-endian since 4.15.x (Closes: #1079546)
  * d/p/testsuite-Add-a-suite-for-tests-that-require-dev-udmabuf.patch,
    d/rules:
    Skip tests that require /dev/udmabuf, which is not currently available
    on Debian kernels, and unlikely to become available on buildds
  * d/p/gtkcssnumbervalue-Don-t-use-fesetround-on-ARM-softfloat.patch:
    Add a patch to work around fesetround() not working on armel
    (Closes: #1079545)
  * d/tests: Run templates.test again.
    This is believed to be reliable on all architectures supported by
    ci.debian.net now.
  * d/tests/installed-tests: Quote more defensively

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Sep 2024 21:42:40 +0100

gtk4 (4.15.5+ds-2) experimental; urgency=medium

  * Replace disable vulkan patch with alternative fix pushed upstream
  * Update list of sysprof enabled architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 24 Aug 2024 08:03:46 -0400

gtk4 (4.15.5+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - Fix large mouse cursor when using scaling (LP: #2076652)
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Remove 2 patches applied in new release
  * Refresh patches

  [ Nathan Pratta Teodosio ]
  * Add patch to disable vulkan in memorytexture, scaling & dmabufformats tests
    (LP: #2077313)

  [ Marco Trevisan (Treviño) ]
  * Update gstreamer subproject patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Aug 2024 14:24:57 -0400

gtk4 (4.15.4+ds-2) experimental; urgency=medium

  * Fix arch:all only build
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 20:01:23 -0400

gtk4 (4.15.4+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Bump minimum cairo to 1.18 & wayland-protocols to 1.36
  * libgtk-4-bin: Install gtk4-image-tool
  * Fix installing update-icon-caches manpage
  * Add patch to fix css parser autopkgtest
  * Add patch to skip broken color-mix test
  * Add the doc-check tests to skipped_suites since they don't pass yet
  * Remove 5 patches applied in new release
  * autopkgtest: Set GTK_DEBUG=css as was done upstream

  [ Simon McVittie ]
  * Take over gtk-update-icon-cache from src:gtk+3.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 12:09:56 -0400

gtk4 (4.14.4+ds-8) unstable; urgency=medium

  * d/p/debian/tests-Mark-memorytexture-as-expected-to-fail-on-big-endian.patch:
    Update patch to also not install its .test file on big-endian
    architectures.
    This seems the easiest way to avoid running it as an autopkgtest,
    which we know won't work, for the same reasons it doesn't work
    at build-time. (Mitigates: #1077757)
  * d/rules: Export DEB_*_MAINT_APPEND instead of appending to CFLAGS,
    LDFLAGS (see #1077732 for a request to document the intended pattern)

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Aug 2024 15:28:56 +0100

gtk4 (4.14.4+ds-7) unstable; urgency=medium

  * d/rules: Append to CFLAGS for i386 the same way we append to LDFLAGS.
    Using DEB_CFLAGS_MAINT_APPEND here worked a few days ago, but does not
    seem to work now, possibly affected by the changes in dpkg 1.22.10.
    (Closes: #1077690)
  * d/changelog: Mention #1077675 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jul 2024 23:27:57 +0100

gtk4 (4.14.4+ds-6) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to fix build tests on the 31st day of the month
    (Closes: #1077675)

  [ Simon McVittie ]
  * Add a missing item to the previous changelog entry

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 16:18:23 -0400

gtk4 (4.14.4+ds-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Add bug reference for #1077289
  * d/changelog: Previous release only mitigated #1077178 rather than
    fixing it
  * d/rules: Use softpipe instead of llvmpipe on powerpc, sparc64.
    Most tests crash with a LLVM assertion failure on these -ports
    architectures. Maybe llvmpipe is broken on these architectures,
    and if so, maybe softpipe will have better success?

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1072395)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 14:30:30 -0400

gtk4 (4.14.4+ds-4) experimental; urgency=medium

  [ Matthias Geiger ]
  * d/rules: Skip label-shadows reftest on mips64el and riscv64.
    The rendering differences are minor enough to not reflect a real problem
    for applications. (Mitigates: #1077178)

  [ Simon McVittie ]
  * d/patches: Improve patch metadata
  * d/patches: Rearrange patch series, closest-to-upstream first.
    No functional change.
  * d/p/tests-Fix-signature-of-GtkTestATContext-update-selection-.patch:
    Add patch to fix a11y/text, a11y/textview tests instead of skipping them
    (Closes: #1077181)
  * d/p/gskpathop-Introduce-a-type-to-represent-an-aligned-graphe.patch:
    Align GskPath points to an 8-byte boundary where necessary
    (Closes: #1077192, #1077288)
  * d/rules: Skip headless test suite explicitly, rather than via a patch.
    It's equally easy to skip these tests this way, and less delta vs.
    upstream in our patch series makes it easier to manage.
  * d/rules: Reduce test suites specifically skipped on big-endian.
    We now skip these test suites unconditionally on all architectures,
    because upstream say they are very sensitive to small behaviour
    changes in the GL driver. Given that, there's no need to skip them a
    second time on big-endian systems.
  * d/p/gskvulkanmemory.c-Use-VK_NULL_HANDLE-for-VkDeviceMemory.patch,
    d/p/gdkvulkancontext.c-Use-pointers-to-hash-VkShaderModule.patch,
    d/p/gskvulkandevice.c-Put-Vk-Pipeline-RenderPass-in-structure.patch:
    Add patches from upstream 4.14.x branch to fix build on i386.
    The Vulkan renderer in the previous i386 package built successfully with
    gcc 13, but probably didn't actually work. gcc 14 is stricter about
    implicit integer/pointer conversions, so it failed to build.
  * d/rules: Build with -ffloat-store on i386.
    Some of the tests (and more in 4.15.x) fail if this is not done,
    because i387 excess precision results in numeric values being
    calculated differently. Because few GTK developers run it on i386
    (and in particular, upstream do not), running the test suite and not
    skipping more of it than strictly necessary is important, because
    that's the only mechanism available to discover whether the library
    has regressed on less-used architectures.
    (Closes: #1077289)
  * d/p/gdk-Check-some-assertions-on-our-architectures.patch:
    Check some assertions for the GTK upstream maintainers.
    This has no runtime impact, but will fail the build if some reasonable
    assumptions turn out to be untrue.
  * d/control: Depend on libgles2.
    This is used by default since 4.14. It isn't strictly mandatory because
    another backend can be chosen via environment variables, but the
    failure mode if it is missing is very bad (applications crash) so it
    seems proportionate to make it a Depends. (Closes: #1077287)

 -- Simon McVittie <smcv@debian.org>  Sun, 28 Jul 2024 19:24:05 +0100

gtk4 (4.14.4+ds-3) experimental; urgency=medium

  * Extra workarounds for tests issues in the new version
  * debian/ignore.keyfile:
    - increase tolerated-diff-pixels to workaround some reftests still
      failing the build on s390x despite being in the ignore list
  * debian/patches/ignore_a11ytext_i386.patch:
    - ignore a11y/text and a11y/textview tests on i386 for now, they
      are failing on the builders for some reason
  * d/p/d/tests-Mark-memorytexture-as-expected-to-fail-on-big-endian.patch:
    - mark also memorytexture as expected to fail on big endian
  * debian/rules:
    - disable gsk tests on i386 and arm since they are currently buggy
    - ignore extra reftests that are now failing on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 14 Jul 2024 10:04:09 -0400

gtk4 (4.14.4+ds-2) experimental; urgency=medium

  * Increase general build test timeout. Thanks to Matthias Geiger.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Jul 2024 07:54:18 -0400

gtk4 (4.14.4+ds-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 18:03:37 -0400

gtk4 (4.14.3+ds-1) experimental; urgency=medium

  * New upstream release
  * Switch from cups backend to cpdb

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Apr 2024 11:11:01 -0400

gtk4 (4.14.2+ds-1) experimental; urgency=medium

  * New upstream release. Upload to experimental but the tests situation
    is not ideal. Skip some of testsuites to allow building since it seems
    the gsk tests can hit rounding differences depending of the renderer
    in use an the software rendering stack version and build options.
    We saw tests issue also on Ubuntu for s390x and 32 bits architectures
    but I'm not applying workaround for those in Debian yet because they
    are somehow wrong (especially on 32 bits which seems to have real
    upstream issues) and to see if we get the same errors on the Debian
    builders.
  * Update the packaging to no refer to the ffmpeg experimental backend
    which has been removed upstream now
  * debian/rules:
    - skip the gsk compare suites those seem to be giving inconsistant
      results depending on the rendering stack
    - update for the new convert-emoji syntax

  [ Nathan Pratta Teodosio ]
  * debian/rules:
    - Make Bash scripts in installed-tests/gtk-4.0/tools/ executable
      to fix autopkgtests.

  [ Jeremy Bícha ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 18:09:08 +0200

gtk4 (4.12.5+ds-6) unstable; urgency=medium

  * d/control, d/rules: Reinstate colord integration on 32-bit
  * d/control, d/rules: Reinstate build-time tests on 32-bit
  * d/control, d/tests/build: Prefer pkgconf over pkg-config
  * d/control, d/rules: Make it more obvious that we use the correct
    pkgconf.
    We intentionally compile convert-emoji with the build architecture
    pkgconf, because we need to run it during build, but we do not need
    to install it.
  * d/control, d/rules: Only enable sysprof on architectures that have it.
    See #1067577.

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 14:45:21 +0000

gtk4 (4.12.5+ds-5) unstable; urgency=medium

  * d/rules: Replace deprecated -Ddemos with -Dbuild-demos
  * d/control: Don't build-depend on ffmpeg if we are not going to use it.
    The experimental ffmpeg plugin is only built if selected
    by a build-profile, so put an equivalent condition on the
    build-dependencies.
  * d/control, d/rules: Add a pkg.gtk4.nocolord build-profile.
    This is not a reproducible (or "safe") build profile, because it
    changes the contents of the library rather than merely disabling
    whole binary packages, but it cuts off some long dependency chains
    that can be useful during bootstrapping.
  * Temporarily disable colord integration on 32-bit non-x86.
    For the 64-bit time_t transition. colord is a non-essential feature,
    and has not yet been built because it is stuck behind a dependency
    chain: colord, sane-backends, libgphoto2, graphviz.
  * Temporarily disable build-time tests on 32-bit non-x86.
    weston, among others, has not yet been rebuilt for the 64-bit time_t
    transition.

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Mar 2024 13:34:59 +0000

gtk4 (4.12.5+ds-4) unstable; urgency=medium

  * Add patch to adapt build tests to pango 1.52.0
  * Bump Build-Depend pango to 1.52.0 to match

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Mar 2024 20:18:57 -0500

gtk4 (4.12.5+ds-3) unstable; urgency=medium

  * d/rules: Always use Mesa software rendering during the build.
    We do not expect autobuilders to have hardware GPUs available, and
    forcing software rendering makes build-time tests run by developers
    consistent with build-time tests run on autobuilders.
    This also avoids using Zink, which is not usually available on
    autobuilders either (because there is no hardware Vulkan driver),
    but produces messages on stderr that will make some of our tests fail.
    (Closes: #1064704)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Feb 2024 13:12:57 +0000

gtk4 (4.12.5+ds-2) unstable; urgency=medium

  * Allow stderr for python3-gi autopkgtests to not fail
    tests for zink warnings emitted by mesa

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 15:19:36 -0500

gtk4 (4.12.5+ds-1) unstable; urgency=medium

  * New upstream release
    - Update emoji chooser for Unicode 15.1
  * missing-sources: Update emojibase
  * missing-sources: Copy emoji 15.1 files from Debian's unicode-data package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 15:20:15 -0500

gtk4 (4.12.4+ds-4) unstable; urgency=medium

  [ Dandan Zhang ]
  * Add loong64 to the list of architectures that have librsvg
    (Closes: #1059613)
  * Extend test timeout on loong64

  [ Jeremy Bícha ]
  * Remove references to obsolete mipsel

  [ Simon McVittie ]
  * d/control: Use dh-sequence-gir to activate debhelper addon
  * d/control: Rely on ${gir:Provides} for gir1.2-gtk-4.0's Provides.
    The version of gobject-introspection in testing now supports this.
  * d/rules: Disable GObject-Introspection in the udeb build.
    debian-installer does not use GTK from an interpreted language and
    is unlikely to do so any time soon.
  * d/control, d/rules: Use a cross g-ir-scanner if cross-compiled
  * d/control: Stop build-depending on libgirepository1.0-dev.
    This package is problematic because it cannot be Multi-Arch
    co-installable, but with recent changes to the Build-Depends, we no
    longer need it.
  * d/control: Don't require python3-gi when not running tests.
    This makes the build-dependencies satisfiable during cross-builds.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2024 11:43:08 +0000

gtk4 (4.12.4+ds-3) unstable; urgency=medium

  * d/control: Remove pandoc build-dependency.
    It isn't needed any more, and pandoc is currently uninstallable in
    unstable (#1057309, #1053686).

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Dec 2023 01:33:26 +0000

gtk4 (4.12.4+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Reinstate Build-Depends on dh-sequence-gnome.
    This is used by Ubuntu to pull in dh_translations.

  [ Simon McVittie ]
  * d/p/gsk-Always-use-RGBA-on-big-endian-architectures.patch:
    Add proposed patch to fix test failure on big-endian CPUs
    (Closes: #1057782)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 17:36:22 +0000

gtk4 (4.12.4+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 10:58:51 -0500

gtk4 (4.12.3+ds-3) unstable; urgency=medium

  * d/control: Build-depend on relevant gir1.2-*-dev virtual packages.
    This will help with eventually converting some or all of them into real
    packages, to allow GIR XML to be omitted when cross-compiling or
    bootstrapping.
  * d/control: Add ${gir:Depends} to -dev package.
    This will add dependencies on gir1.2-pango-1.0-dev and so on.
  * d/control: Use ${gir:Provides} to generate virtual package names

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Nov 2023 11:06:27 +0000

gtk4 (4.12.3+ds-2) unstable; urgency=medium

  * d/rules: Stop generating d/control.in from d/control.
    The variable substitutions obscured more than they really helped.
  * d/rules: Substitute GTK_BINVER_DEP as a substvar rather than using sed
  * lbgtk-4-dev: Add Provides for included GIR XML files.
    Representing these by systematic names gir1.2-*-dev, and perhaps
    eventually separating them into their own binary package, will help
    to enable cross-compilation with GObject-Introspection removed by
    a build profile. (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Nov 2023 14:47:44 +0000

gtk4 (4.12.3+ds-1) unstable; urgency=medium

  * New upstream release
    - GtkWindow:
      + Don't assume titlebars are GtkHeaderBar
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6116)
    - GtkTreeView:
      + Fix a crash in gtk_tree_view_is_blank_at_pos
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6114)
    - printing:
      + Fix some issues with the portal implementation
        (https://gitlab.gnome.org/GNOME/gtk/-/commit/03679fe6bf5ae391bd7cb21ad0492f530c86cd5e)
    - GSK:
      + Some optimizations in the GL renderer
        (https://gitlab.gnome.org/GNOME/gtk/-/commit/3698cadcd21e2a52c30766d311043093ea557b3f,
         https://gitlab.gnome.org/GNOME/gtk/-/commit/d4d0883a924f94fdc89fad50bce9ecad3128e0f3,
         https://gitlab.gnome.org/GNOME/gtk/-/commit/0030c572d47f551847be0aed8054d4df34afffda)
      + Fix memory leaks in the Broadway renderer
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6120)
    - demos:
      + Fix a crash in gtk4-demo
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6113)

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 04 Oct 2023 16:11:12 -0400

gtk4 (4.12.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on fonts-noto-core instead of fonts-dejavu-core
    & ttf-bitstream-vera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 10:27:13 -0400

gtk4 (4.12.1+ds-3) unstable; urgency=medium

  [ Amin Bandali ]
  * d/gbp.conf: Change packaging branch to debian/latest

  [ Jeremy Bícha ]
  * Ignore the same reftest failures for riscv64 as for mips64el.
    mips64el uses softpipe on the buildds because we force it to (because
    llvmpipe is broken there), but riscv64 uses softpipe even when not
    forced to, because llvmpipe doesn't exist on riscv64 yet.
    (Closes: #1051168)

  [ Simon McVittie ]
  * d/log-reftests.py: Log uuencoded variant GSK reftest renderings too.
    The variant GSK reftest renderings (flipped, repeated, etc.) might fail
    differently, in which case we will want to look at their outputs.
  * d/rules: Always allow the differences that occur when using softpipe.
    In principle we could be using softpipe on any architecture, if forced.

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 15:28:30 +0100

gtk4 (4.12.1+ds-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Aug 2023 19:33:26 -0400

gtk4 (4.12.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Aug 2023 10:54:25 -0400

gtk4 (4.12.0+ds-4) experimental; urgency=medium

  * d/rules: Completely ignore border-one-rounded gsk reftest on mips*.
    The actual rendering in the "flipped" mode only differs from the
    reference rendering by one pixel, but that one pixel has a completely
    different value. (Really closes: #1050077)
  * d/clean: Remove generated file po/gtk40.pot (Closes: #1044991)
  * d/libgtk-4-doc.links: Stop including symlinks for pango documentation
    (Closes: #1040470)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Aug 2023 11:48:45 +0100

gtk4 (4.12.0+ds-3) experimental; urgency=medium

  * d/p/tests-Accept-slightly-different-numeric-results.patch:
    Replace patch for #1050076 with the version accepted upstream.
    This accepts slight numerical differences on all platforms, not
    just i386.
  * d/rules: Accept minor rendering differences for some tests on mips*.
    Presumably these render a bit differently with softpipe.
    (Closes: #1050077)
  * d/p/debian/reftests-Allow-minor-differences-to-be-tolerated.patch:
    Update patch so that when gsk-compare tests are run repeatedly, we
    apply the same error-tolerance each time, not just the first time
  * d/changelog: Reorder to make the history of unstable linear.
    This should avoid the bug tracking system thinking that regressions
    found in 4.12.x also affect 4.10.x.
  * Merge packaging from unstable
    - No further changes, except in the changelog

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Aug 2023 16:43:03 +0100

gtk4 (4.12.0+ds-2) experimental; urgency=medium

  * d/rules: Skip build-time tests that are known to fail or be unreliable.
    Upstream flagged these as failing and skips them in their CI, so there's
    no point in us expecting them to succeed. (Closes: #1050075)
  * Add patch to tolerate different floating-point results on i386.
    Our baseline for i386 still doesn't include SSE, so we still have to use
    i387 instructions with extended precision and sometimes different answers.
    (Closes: #1050076)
  * Ignore another test failure on big-endian machines.
    Similar to #1024391.
  * d/rules: Ignore two reftests that fail on i386 only.
    In these tests, the reference rendering of "Hello world" is as one line,
    but on i386 (possibly due to different rounding) it is word-wrapped onto
    two lines.
  * Add patch to work around a test failure on riscv64.
    Other architectures are occasionally affected by this.
    Thanks to Aurelien Jarno (Closes: #1049434)
  * Merge packaging from unstable
    - No further changes, except in the changelog

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 15:19:11 +0100

gtk4 (4.12.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Restore sysprof integration
  * debian/control.in: Bump minimum glib, gobject-introspection, meson
    & wayland-protocols
  * debian/libgtk-4-bin.install: Install gtk4-rendernode-tool
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Drop patch marking the clipboard test flaky: applied upstream
  * Cherry-pick patch to fix undefined references
  * Add patch to adapt to Debian's tzdata 2023c-8
  * Add patch to mark headless tests as flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Aug 2023 17:31:01 -0400

gtk4 (4.10.5+ds-5) unstable; urgency=medium

  * d/rules: Ignore two reftests that fail on i386 only.
    In these tests, the reference rendering of "Hello world" is as one line,
    but on i386 (possibly due to different rounding) it is word-wrapped onto
    two lines.
    I previously thought this was a regression between 4.10 and 4.12, but
    it seems that instead, it was triggered by some other component being
    upgraded, possibly fontconfig 2.14.2 or pango 1.51.0.

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 17:20:14 +0100

gtk4 (4.10.5+ds-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Restore sysprof integration

  [ Simon McVittie ]
  * d/p/debian/tests-Allow-longer-for-a-dialog-to-open.patch:
    Add patch to work around a test failure on riscv64 by extending an
    arbitrary timeout. Other architectures are occasionally affected by this.
    Thanks to Aurelien Jarno (Closes: #1049434)
  * d/control.in, d/gbp.conf: Use debian/trixie and upstream/4.10.x branches

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 12:11:51 +0100

gtk4 (4.10.5+ds-3) unstable; urgency=medium

  * Temporarily disable sysprof integration altogether, to get the package
    rebuilt

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 09:35:32 +0100

gtk4 (4.10.5+ds-2) unstable; urgency=medium

  * d/control.in: Only use libsysprof-capture-4-dev for shared library.
    libsysprof-capture-4-dev is currently a virtual package provided
    by libsysprof-4-dev, which also includes GTK 4 GUI components
    and so depends on libgtk-4-dev. If the Architecture: amd64 build
    happens to finish before the Architecture: all build starts,
    then the Architecture: all build will fail with an unsatisfiable
    build-dependency: libsysprof-4-dev Depends on libgtk-4-dev, which
    Depends on libgtk-4-common (>= ${source:Version}), which hasn't been
    built yet. The result is that libgtk-4-common can't be built and the
    builds deadlock.
    We've been lucky enough to avoid this until now, but version
    4.10.5+ds-1 was not sufficiently lucky and has become uninstallable
    and unbuildable.
    Because the sysprof integration is part of the architecture-specific
    library, we can break this cycle by only installing libsysprof-4-dev
    when we are building the architecture-specific library, and excluding
    it when we are only building architecture-independent documentation
    and common files.
  * Remove version constraints unnecessary since Debian 11
  * Remove maintscripts unnecessary in any released Debian version
  * d/upstream/metadata: Use preferred Gitlab URLs

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Aug 2023 13:03:36 +0100

gtk4 (4.10.5+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 09:56:12 -0400

gtk4 (4.10.4+ds-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Jul 2023 07:53:26 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgtk-4-1`.
